rem   *** validation ***
call scripts\run-validator-tests.bat
call scripts\run-checker-tests.bat

rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen.exe -N 1 -maxA 2 -minA 1" "tests\03" 3
call scripts\gen-input-via-stdout.bat "files\gen.exe -N 5 -maxA 5 -minA 3" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\gen.exe -N 5 -maxA 10 -minA 7" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\gen.exe -N 5 -maxA 100 -minA 97" "tests\06" 6
call scripts\gen-input-via-stdout.bat "files\gen.exe -N 5 -maxA 1000 -minA 997" "tests\07" 7
call scripts\gen-input-via-stdout.bat "files\gen.exe -N 10 -maxA 5 -minA 1" "tests\08" 8
call scripts\gen-input-via-stdout.bat "files\gen.exe -N 100 -maxA 100 -minA 1" "tests\09" 9
call scripts\gen-input-via-stdout.bat "files\gen.exe -N 1000 -maxA 1000000 -minA 1" "tests\10" 10
call scripts\gen-input-via-stdout.bat "files\gen.exe -N 3000 -maxA 1000000000 -minA 999999909" "tests\11" 11
call scripts\gen-input-via-stdout.bat "files\gen.exe -N 10000 -maxA 123456 -minA 412" "tests\12" 12
call scripts\gen-input-via-stdout.bat "files\gen.exe -N 78673 -maxA 100 -minA 42" "tests\13" 13
call scripts\gen-input-via-stdout.bat "files\gen.exe -N 97353 -maxA 1000000 -minA 421231" "tests\14" 14
call scripts\gen-input-via-stdout.bat "files\gen.exe -N 100000 -maxA 1000000000 -minA 999999099" "tests\15" 15
call scripts\gen-answer.bat tests\01 tests\01.a "tests" "0"
call scripts\gen-answer.bat tests\02 tests\02.a "tests" "0"
call scripts\gen-answer.bat tests\03 tests\03.a "tests" "1"
call scripts\gen-answer.bat tests\04 tests\04.a "tests" "1"
call scripts\gen-answer.bat tests\05 tests\05.a "tests" "1"
call scripts\gen-answer.bat tests\06 tests\06.a "tests" "1"
call scripts\gen-answer.bat tests\07 tests\07.a "tests" "1"
call scripts\gen-answer.bat tests\08 tests\08.a "tests" "2"
call scripts\gen-answer.bat tests\09 tests\09.a "tests" "2"
call scripts\gen-answer.bat tests\10 tests\10.a "tests" "2"
call scripts\gen-answer.bat tests\11 tests\11.a "tests" "2"
call scripts\gen-answer.bat tests\12 tests\12.a "tests" "3"
call scripts\gen-answer.bat tests\13 tests\13.a "tests" "3"
call scripts\gen-answer.bat tests\14 tests\14.a "tests" "3"
call scripts\gen-answer.bat tests\15 tests\15.a "tests" "3"

